Package com.castlabs.android.player

## Class SingleControllerPlaylist.AbstractPlaylistListener

- java.lang.Object
- - com.castlabs.android.player.SingleControllerPlaylist.AbstractPlaylistListener

- All Implemented Interfaces:
    `SingleControllerPlaylist.PlaylistListener`
  Enclosing class:
    SingleControllerPlaylist

      public abstract static class SingleControllerPlaylist.AbstractPlaylistListener
      extends Object
      implements SingleControllerPlaylist.PlaylistListener

  Utility class with empty implementations of the methods defined in `SingleControllerPlaylist.PlaylistListener`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractPlaylistListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onItemChange​(PlayerConfig config)` | Called every time a new item, defined by a `PlayerConfig` starts playing.
    `void` | `onPlaylistEnded()` | Called when the playlist reaches the end.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPlaylistListener

          public AbstractPlaylistListener()

  - ### Method Detail

    - #### onItemChange

          public void onItemChange​(@NonNull
                                   PlayerConfig config)

      Description copied from interface: `SingleControllerPlaylist.PlaylistListener`
      Called every time a new item, defined by a `PlayerConfig` starts playing.

      This method will also be called for the first element.

      Specified by:
        `onItemChange` in interface `SingleControllerPlaylist.PlaylistListener`
      Parameters:
        `config` - The config representing the new playlist item.

    - #### onPlaylistEnded

          public void onPlaylistEnded()

      Description copied from interface: `SingleControllerPlaylist.PlaylistListener`
      Called when the playlist reaches the end. Fired when the `PlayerController.State.Finished` is reached due to playing the last item to the end.
      Specified by:
        `onPlaylistEnded` in interface `SingleControllerPlaylist.PlaylistListener`